Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 856 - all interesting data in private community
Summary: all interesting data in private community
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: ucd-snmp
Version: 5.2
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Crutcher Dunnavant
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-01-17 06:56 UTC by Daniel Senie
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-02-11 18:41:53 UTC


Attachments (Terms of Use)

Description Daniel Senie 1999-01-17 06:56:35 UTC
The interface data and such is all in community "private"
where it really should be in "public".

Someone should get in touch with wjhardaker@ucdavis.edu to
work out better config files to ship.

One possibility is to add in some example lines in the
snmpd.conf.local that suggest lines that might be added,
such as:

com2sec mynet 192.168.1.0/24 private

where the 192.168.1 gets replaced by your local network.
This then at least gives access to the private community to
the local systems.

Ideally what's desired is to have the public community have
much of the useful information (e.g. interface stats), but
be read-only. Private would be reserved for read/write.

As shipped, the first question is, why aren't interfaces
supported? Answer is they are, but you need to figure out
how to ask the right question.

Another option would be to add linuxconf support for snmp,
which would help simplify matters.

Comment 1 Jeff Johnson 1999-01-17 14:34:59 UTC
Blame me for the clunky SNMP config, not Wes Hardaker. I have
an improved "plain vanilla" config suggested by Wes that will
be part of the next release. In addition, there will be some
support for accessing the rpm database using the host resources
mib. There may also be an implementation of the redhat enterprise
tree if a sufficient number of interested developers can be found.

Comment 2 Daniel Senie 1999-01-18 03:27:59 UTC
Replacing the /usr/share/snmp/snmpd.conf with the one sent to me
made the system behave as I'd have expected. The interfaces data
is now visible to community "public" as should be the default.

Comment 3 Jeff Johnson 1999-02-11 18:41:59 UTC
This problem has been fixed in Raw Hide. The new version of
the file /usr/share/snmpd/snmpd.conf is included below for
Red Hat 5.2 users:

load 12 14 14
com2sec public  default public
group   public  any     public
view    all     included .1 80
access  public  "" any noauth 0 all none none


Note You need to log in before you can comment on or make changes to this bug.